# frozen_string_literal: true

require 'lintress/runner'
require "lintress/parser"
require "lintress/resolution"
require "lintress/magic_comment_resolution"

l_cli = Lintress::Runner.new
l_cli.run

l_parser = Lintress::Parser.new l_cli.offenses
l_parser.parse

l_parser.offenses.each do |offense|
  if offense.oreason.downcase.match? /magic comment/
    next if offense.ofile.match?(/^bin|^exe/)
    Lintress::MagicCommentResolution.new(offense).transform
  end
end
